org.apache.ignite.binary

## Class BinaryInvalidTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.binary.BinaryObjectException
          - - org.apache.ignite.binary.BinaryInvalidTypeException

All Implemented Interfaces:
  Serializable

    public class BinaryInvalidTypeException
    extends BinaryObjectException

Exception indicating that class needed for deserialization of binary object does not exist.

Thrown from `BinaryObject.deserialize()` method.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BinaryInvalidTypeException(String msg)` Creates invalid class exception with error message.
`BinaryInvalidTypeException(String msg, Throwable cause)` Creates invalid class exception with error message and `Throwable` as a cause.
`BinaryInvalidTypeException(Throwable cause)` Creates invalid class exception with `Throwable` as a cause.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryInvalidTypeException

    public BinaryInvalidTypeException(String msg)

Creates invalid class exception with error message.

Parameters:
  `msg` - Error message.

#### BinaryInvalidTypeException

    public BinaryInvalidTypeException(Throwable cause)

Creates invalid class exception with `Throwable` as a cause.

Parameters:
  `cause` - Cause.

#### BinaryInvalidTypeException

    public BinaryInvalidTypeException(String msg,
                              @Nullable
                              Throwable cause)

Creates invalid class exception with error message and `Throwable` as a cause.

Parameters:
  `msg` - Error message.
  `cause` - Cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016